• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Java 2 Platform Requirement

 
Henry Le
Greenhorn
Posts: 6
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi all,

I have a Java version requirement as below, but I am little confused about versions, and if I am doing it correctly. Please tell.

"You may develop your code using any implementation of the Java 2 platform, but the submission that you return must have been tested and shown to work under a production (not development) version of the Sun Microsystems' Java 2 platform and that platform must not have been superseded by a new production version for more than 18 months by the time you make your submission. "

When I run: java -version on my machine I have:

java version "1.5.0_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
Java HotSpot(TM) Client VM (build 1.5.0_06-b05, mixed mode, sharing)

So am I testing it under correct version if I submit it sometime soon like next week?

Thank you very much....
 
Chulwoo Choi
Ranch Hand
Posts: 65
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Current Java version is 1.6.0 but java version "1.5.0_06" is fine as long as you submit the project before May of 2008.

Chulwoo
 
Henry Le
Greenhorn
Posts: 6
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks Chulwoo
 
Zhixiong Pan
Ranch Hand
Posts: 239
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi all,
While using JDK 5.x, my business package will get only HotelRemote_Stub.class from rmic. Does that matter?
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic